source: trunk/package/kernel/modules/001-depends.mk @ 21250

Last change on this file since 21250 was 21250, checked in by nico, 6 years ago

package/kernel: adjust kmod-crc16 dependencies, it does not exist on 2.4

File size: 862 bytes
Line 
1#
2# Copyright (C) 2010 OpenWrt.org
3#
4# This is free software, licensed under the GNU General Public License v2.
5# See /LICENSE for more information.
6#
7
8# XXX: xburst has CONFIG_CRC16=y because of CONFIG_UBIFS_FS=y
9
10define SetDepends/crc16
11  DEPENDS:= @!(LINUX_2_4||TARGET_xburst)
12endef
13
14define AddDepends/crc16
15  DEPENDS+= +!(LINUX_2_4||TARGET_xburst):kmod-crc16 $(1)
16endef
17
18
19define SetDepends/hid
20  DEPENDS:= @!TARGET_x86
21endef
22
23define AddDepends/hid
24  DEPENDS+= +!TARGET_x86:kmod-hid $(1)
25
26endef
27
28
29define SetDepends/input
30  DEPENDS:= @!TARGET_x86
31endef
32
33define AddDepends/input
34  DEPENDS+= +!TARGET_x86:kmod-input-core $(1)
35endef
36
37
38define SetDepends/rfkill
39  DEPENDS:= @(TARGET_ar71xx||TARGET_brcm47xx||TARGET_s3c24xx||TARGET_x86)
40endef
41
42define AddDepends/rfkill
43  DEPENDS+= +(TARGET_ar71xx||TARGET_brcm47xx||TARGET_s3c24xx||TARGET_x86):kmod-rfkill $(1)
44endef
Note: See TracBrowser for help on using the repository browser.